Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#41055 - [qt5-base] libxkbcommon-x11 as a dependency

Attached to Project: Arch Linux
Opened by Daniel (weirddan455) - Wednesday, 02 July 2014, 09:03 GMT
Last edited by Doug Newgard (Scimmia) - Wednesday, 02 July 2014, 12:47 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

As of 5.3.1-1, libxkbcommon-x11 is listed only as an optional dependency of qt5-base. I question whether it should instead be a full dependency. I noticed the problem when sqlitebrowser updated from qt4 to qt5. After the update, it refused to start complaining of no xcb plugin for qt5. I finally realized the problem was the missing package libxkbcommon-x11. It also appears to be a common problem as nearly all qt5 programs require this package yet not all depend on it (they expect the qt install to provide it.)

I would like at least a consensus on whether it should be the underlying packages should depend on libxkbcommon-x11 or whether it should be a dependency of qt5-base itself. Since, if I understand correctly, nearly all qt5 apps will need this dependency and libxkbcommon-x11 has very few dependencies of its own I suggest simply changing it from opt-depends to depends.

From the dependencies of libxkbcommon-x11, libxcb is already required by qt5-base via its xcb-util-wm dependency. That leaves only libxkbcommon and xkeyboard-config as dependencies. These packages already have 89% and 94% install rates respectively from the archlinux.de package stats, the latter being required by xorg-server-common. Those 3 packages together weigh in at only 6836KB installed with the bulk of that being xkeyboard-config.

I understand if qt5 is trying to be independent from X (since it supports Wayland) but qt5-base is already dependent on libx11 via its libxi and libxrender dependencies (note libxkbcommon-x11 is not dependent on libx11.) I believe adding this dependency will save a lot of users headaches when their qt5 apps complain about lack of xcb yet they already have xcb-related packages installed. Since libxkbcommon-x11 doesn't have "xcb" in its name I wasn't looking at it until a user pointed it out over IRC.
This task depends upon

Closed by  Doug Newgard (Scimmia)
Wednesday, 02 July 2014, 12:47 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#40468 

Loading...